  Print("var rand = Math.random().toString();\n");
  Print("var ordval = rand.substring(2,rand.length);\n");

  Print("var rotation2 = ordval%%2;\n");
  Print("var rotation3 = ordval%%3;\n");
  Print("var rotation10 = ordval%%10;\n");
  Print("var rotation5 = ordval%%5;\n");
  Print("var rotation20 = ordval%%20;\n");
  Print("var rotation40 = ordval%%40;\n");
  Print("var rotation50 = ordval%%50;\n");

  Print("var now = new Date();\n");
  Print("var day = now.getDate();\n");
  Print("var month = now.getMonth()+1;\n");


 #if defined (CITYBILDPRG)

      Print(" if (rotation2 == 0) {\n");
      Print("  handle=window.open(\042http://cnt.weatheronline.co.uk/cgi-bin/fcgi/goto.fcgi?URL=http://www.weatheronline.co.uk/werbung/popup_vcactive.htm&WERBUNG=ad_valueclick_popup\042, \042popup250\042,\042width=150,height=150,left=0,right=0,status=no,location=no,toolbar=no,resize=no,scrollbars=no,menubar=no,directories=no\042);\n");
      Print(" }\n");

#endif